### Method

# Gtk TextView set_extra_menu

#### Declaration [src]

    void
    gtk_text_view_set_extra_menu (
      GtkTextView* text_view,
      GMenuModel* model
    )

#### Description [src]

Sets a menu model to add when constructing the context menu for `text_view`.

You can pass `NULL` to remove a previously set extra menu.

Sets property | `Gtk.TextView:extra-menu`

#### Parameters

`model`

  Type: `GMenuModel`

  A `GMenuModel`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.